Bug 1871953 - Deprecate package: peripety
Summary: Deprecate package: peripety
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.2
Hardware: All
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.3
Assignee: Lucie Maňásková
QA Contact: RHEL DPM
Marek Suchánek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 16:48 UTC by David Lehman
Modified: 2021-09-30 13:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
.peripety is deprecated The `peripety` package is deprecated since RHEL 8.3. The Peripety storage event notification daemon parses system storage logs into structured storage events. It helps you investigate storage issues.
Clone Of:
Environment:
Last Closed: 2021-05-26 05:57:18 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description David Lehman 2020-08-24 16:48:01 UTC
Please add text to the release notes indicating that the peripety package is deprecated as of 8.3.0.

Comment 1 Marek Suchánek 2020-08-25 17:04:48 UTC
Hi David,
I've written a short and basic release note to announce the deprecation. I've used the upstream repo to learn about peripety.

I have two questions:

* Do we want to state our reason for the deprecation or point to a recommended alternative to peripety?

* Just to make sure, is peripety deprecated or removed in RHEL 8.3?

Comment 2 David Lehman 2020-08-25 19:58:14 UTC
(In reply to Marek Suchánek from comment #1)
> Hi David,
> I've written a short and basic release note to announce the deprecation.
> I've used the upstream repo to learn about peripety.
> 
> I have two questions:
> 
> * Do we want to state our reason for the deprecation or point to a
> recommended alternative to peripety?

We are going a different direction with new development efforts, but there isn't anything specific to announce or recommend as a replacement at this time.

> 
> * Just to make sure, is peripety deprecated or removed in RHEL 8.3?

It is deprecated in RHEL-8.3. The plan is to not include it in RHEL-9.

Comment 3 Marek Suchánek 2020-08-27 15:30:40 UTC
(In reply to David Lehman from comment #2)
> (In reply to Marek Suchánek from comment #1)
> > Hi David,
> > I've written a short and basic release note to announce the deprecation.
> > I've used the upstream repo to learn about peripety.
> > 
> > I have two questions:
> > 
> > * Do we want to state our reason for the deprecation or point to a
> > recommended alternative to peripety?
> 
> We are going a different direction with new development efforts, but there
> isn't anything specific to announce or recommend as a replacement at this
> time.
> 
> > 
> > * Just to make sure, is peripety deprecated or removed in RHEL 8.3?
> 
> It is deprecated in RHEL-8.3. The plan is to not include it in RHEL-9.

Alright. In that case, I think I can leave the release note as is. Thanks!

Comment 7 CongLi 2021-05-26 05:57:18 UTC
Since the issue described in this bug should be resolved (VERIFIED), it has been closed with a resolution of CURRENTRELEASE.

If the fix for this is not released yet, check if this will ever get fixed. In case of a negative answer (ex: for  zstream releases that won't be updated anymore) then please change it as WONTFIX.

If there's anything else to be done on this BZ, if it's still active, please reopen this bug with comment.

Please note: for those bugs which are not included in errata, please add keyword 'TestOnly'.
TestOnly: Use this when there is no code delivery involved, or for use when code is already upstream and will be incorporated automatically to the next release for testing purposes only.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.